# build ROS2 Iron src in container and install depenedencies with rosdep

FROM ros:iron

ADD src /root/ros2_ws/src

RUN apt-get update && apt-get install -y \
    python3-argcomplete \
    python3-colcon-common-extensions \
    python3-vcstool \
    && rm -rf /var/lib/apt/lists/*

CMD ["bash"]

